#ifndef WISE
#define WISE

#define WISEDEBUG	0

#define WISEHOST	"shadygrove"
#define WISEPORT	"80"
#define WISEORGNAME	"Widgets and Gadgets, Inc."
#define WISEORGIMAGE	"/research.ivv.nasa.gov/images/wisemini.gif"
#define WISEBKGND	"/research.ivv.nasa.gov/images/chalk.jpg"
#define WISELOGS	"wise/logs/"
#define WISEMETRICS	"wise-metrics/"
#define WISEPATHLOG	"/usr/local/wise-1.0/logs/"
#define WISE_METRICDIR	"/usr/local/wise-1.0/metrics"

#define WISE_TDL	"wise-bin/tdl"
#define WISE_VIEW	"wise-bin/view"
#define WISE_UPDATE	"wise-bin/update"
#define WISE_NEW	"wise-bin/new"
#define WISE_DELETE	"wise-bin/delete"

#define WISE_VIEW_UPDATE	"update"
#define WISE_VIEW_NEW		"new"
#define WISE_VIEW_DELETE	"delete"

#include "wisedefs.h"

#endif WISE

#ifdef WISEMAIN

WiseField wise_bugtrackproject[] = {
  { "abstract",WISE_TEXT,60 },
  { "synopsis",WISE_TAREA,900 },
  { "log",WISE_LOG,20 },
  { "originator",WISE_TEXT,30 },
  { "owner",WISE_TEXT,30 },
  { "submitted",WISE_DATE,20 },
  { "duedate",WISE_DATE,20 },
  { "target",WISE_TEXT,20 },
  { "severity",WISE_RADIO,50 },
  { "priority",WISE_RADIO,50 },
  { "state",WISE_SELECT,50 },
  { "component",WISE_SELECT,50 },
  { "category",WISE_SELECT,50 },
  { "duplicate",WISE_INT,20 },
  { NULL, NULL, NULL }
};

WiseTDLField wisetdlfield_bugtrack[] = {
  { "abstract",60 },
  { "severity",11 },
  { "priority",11 },
  { "target",11 },
  { "state",11 },
  { "component",11 },
  { NULL, NULL }
};

WiseProject wiseproject[] = {
  { "bugtrack",wise_bugtrackproject, wisetdlfield_bugtrack,"bugtrack", "Defect Management", "localhost", 1114, "/research.ivv.nasa.gov/images/wisemini.gif" },
  { NULL, NULL, NULL, NULL, NULL, NULL, NULL }
};

WiseUserRole  wiseuserroles[] = {
  { "anonymous", "viewer", "bugtrack" },
  { "john", "viewer", "bugtrack" },
  { "becky", "viewer", "bugtrack" },
  { "bvarov", "developer", "bugtrack" },
  { "nikolay", "developer", "bugtrack" },
  { "anton", "developer", "bugtrack" },
  { "jackie", "builder", "bugtrack" },
  { "jackie", "tester", "bugtrack" },
  { "linas", "teamlead", "bugtrack" },
  { NULL, NULL, NULL }
};

WiseTdlAccess  wisetdlaccess[] = {
  { "bugtrack","viewer",
   "project <> 'BLANK'" },
  { "bugtrack","developer",
   "project <> 'BLANK'" },
  { "bugtrack","builder",
   "project <> 'BLANK'" },
  { "bugtrack","tester",
   "project <> 'BLANK'" },
  { "bugtrack","teamlead",
   "project <> 'BLANK'" },
  { NULL, NULL, NULL }
};

WiseViewAccess  wiseviewaccess[] = {
 {"bugtrack","viewer","log",WISE_RW,
NULL,NULL},
 {"bugtrack","viewer","severity",WISE_RW,
"originator = '$USER$' AND state <> 'closed' AND state <> 'verify'","0-no rating|1-showstopper|2-serious|3-annoyance|4-suggestion"},
 {"bugtrack","viewer","priority",WISE_RW,
"originator = '$USER$' AND state <> 'closed' AND state <> 'verify'","0-no rating|1-immediately|2-soon|3-eventually|4-memo"},
 {"bugtrack","viewer","state",WISE_RW,
"originator = '$USER$' AND state = 'verify'","open|closed"},
 {"bugtrack","viewer","state",WISE_RW,
"originator = '$USER$' AND state = 'returned'","open|closed"},
 {"bugtrack","viewer","state",WISE_RW,
"originator = '$USER$' AND state = 'duplicate'","open|closed"},
 {"bugtrack","viewer","owner",WISE_RW,
"originator = '$USER$' AND state <> 'closed' AND state <> 'verify'",NULL},
 {"bugtrack","developer","abstract",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned' OR state = 'duplicate'",NULL},
 {"bugtrack","developer","synopsis",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned' OR state = 'duplicate'",NULL},
 {"bugtrack","developer","log",WISE_RW,
NULL,NULL},
 {"bugtrack","developer","originator",WISE_R,
NULL,"$USER$"},
 {"bugtrack","developer","owner",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned' OR state = 'duplicate'",NULL},
 {"bugtrack","developer","submitted",WISE_R,
NULL,NULL},
 {"bugtrack","developer","severity",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned' OR state = 'duplicate'","0-no rating|1-showstopper|2-serious|3-annoyance|4-suggestion"},
 {"bugtrack","developer","priority",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned' OR state = 'duplicate'","0-no rating|1-immediately|2-soon|3-eventually|4-memo"},
 {"bugtrack","developer","state",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned' OR state = 'duplicate'","open|working|fixed|returned|duplicate"},
 {"bugtrack","developer","component",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned' OR state = 'duplicate'","unknown|server|client|database|sysadmin|documentation"},
 {"bugtrack","developer","category",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned' OR state = 'duplicate'","accept|error|unreproducible|enhancement|duplicate"},
 {"bugtrack","developer","duedate",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned' OR state = 'duplicate'",NULL},
 {"bugtrack","developer","target",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned' OR state = 'duplicate'",NULL},
 {"bugtrack","developer","duplicate",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned' OR state = 'duplicate'",NULL},
 {"bugtrack","builder","abstract",WISE_R,
NULL,NULL},
 {"bugtrack","builder","synopsis",WISE_R,
NULL,NULL},
 {"bugtrack","builder","log",WISE_RW,
NULL,NULL},
 {"bugtrack","builder","owner",WISE_RW,
"state = 'fixed' OR state = 'built'","$USER$"},
 {"bugtrack","builder","state",WISE_RW,
"state = 'fixed' OR state = 'built'","working|built"},
 {"bugtrack","builder","duedate",WISE_RW,
"state = 'fixed' OR state = 'built'",NULL},
 {"bugtrack","builder","target",WISE_RW,
"state = 'fixed' OR state = 'built'",NULL},
 {"bugtrack","tester","abstract",WISE_R,
NULL,NULL},
 {"bugtrack","tester","synopsis",WISE_R,
NULL,NULL},
 {"bugtrack","tester","log",WISE_RW,
NULL,NULL},
 {"bugtrack","tester","owner",WISE_RW,
"state = 'built' OR state = 'testing' OR state = 'verify'","$USER$"},
 {"bugtrack","tester","state",WISE_RW,
"state = 'built' OR state = 'testing' OR state = 'verify'","working|testing|verify"},
 {"bugtrack","tester","duedate",WISE_RW,
"state = 'built' OR state = 'testing' OR state = 'verify'",NULL},
 {"bugtrack","teamlead","abstract",WISE_RW,
NULL,NULL},
 {"bugtrack","teamlead","synopsis",WISE_RW,
NULL,NULL},
 {"bugtrack","teamlead","log",WISE_RW,
NULL,NULL},
 {"bugtrack","teamlead","originator",WISE_RW,
NULL,NULL},
 {"bugtrack","teamlead","owner",WISE_RW,
NULL,NULL},
 {"bugtrack","teamlead","submitted",WISE_RW,
NULL,NULL},
 {"bugtrack","teamlead","severity",WISE_RW,
NULL,"0-no rating|1-showstopper|2-serious|3-annoyance|4-suggestion"},
 {"bugtrack","teamlead","priority",WISE_RW,
NULL,"0-no rating|1-immediately|2-soon|3-eventually|4-memo"},
 {"bugtrack","teamlead","state",WISE_RW,
NULL,"open|working|fixed|built|testing|returned|duplicate|verify|closed"},
 {"bugtrack","teamlead","component",WISE_RW,
NULL,"unknown|server|client|database|sysadmin|documentation"},
 {"bugtrack","teamlead","category",WISE_RW,
NULL,"accept|error|unreproducible|enhancement|duplicate"},
 {"bugtrack","teamlead","duedate",WISE_RW,
NULL,NULL},
 {"bugtrack","teamlead","target",WISE_RW,
NULL,NULL},
 {"bugtrack","teamlead","duplicate",WISE_RW,
NULL,NULL},
  { NULL, NULL, NULL, NULL, NULL, NULL }
};

WiseViewAccess  wisenewaccess[] = {
 {"bugtrack", NULL,"abstract",WISE_RW,
NULL,NULL},
 {"bugtrack", NULL,"log",WISE_RW,
NULL,NULL},
 {"bugtrack", NULL,"originator",WISE_R,
NULL,"$USER$"},
 {"bugtrack", NULL,"owner",WISE_RW,
NULL,"$USER$"},
 {"bugtrack", NULL,"submitted",WISE_R,
NULL,"$TODAY$"},
 {"bugtrack", NULL,"severity",WISE_RW,
NULL,"0-no rating|1-showstopper|2-serious|3-annoyance|4-suggestion"},
 {"bugtrack", NULL,"priority",WISE_RW,
NULL,"0-no rating|1-immediately|2-soon|3-eventually|4-memo"},
 {"bugtrack", NULL,"state",WISE_R,
NULL,"open"},
 {"bugtrack", NULL,"component",WISE_RW,
NULL,"unknown|server|client|database|sysadmin|documentation"},
 {"bugtrack", NULL,"duedate", WISE_H ,
NULL,NULL},
 {"bugtrack", NULL,"target", WISE_H ,
NULL,NULL},
 {"bugtrack", NULL,"category", WISE_H ,
NULL,NULL},
 {"bugtrack", NULL,"duplicate", WISE_H ,
NULL,NULL},
 {"bugtrack", NULL,"synopsis", WISE_H ,
NULL,NULL},
  { NULL, NULL, NULL, NULL, NULL, NULL }
};

WiseAction wisetdlactions[] = {
   { "bugtrack", NULL,
	NULL,
  "Open New Issue",
		WISE_NEW }, 
  { NULL, NULL, NULL, NULL, NULL }
};

WiseAction wiseviewactions[] = {
   { "bugtrack","viewer",
	NULL,
  "Modify Issue",
		WISE_VIEW_UPDATE },
   { "bugtrack","developer",
	NULL,
  "Modify Issue",
		WISE_VIEW_UPDATE },
   { "bugtrack","builder",
	NULL,
  "Modify Issue",
		WISE_VIEW_UPDATE },
   { "bugtrack","tester",
	NULL,
  "Modify Issue",
		WISE_VIEW_UPDATE },
   { "bugtrack","teamlead",
	NULL,
  "Modify Issue",
		WISE_VIEW_UPDATE },
  { NULL, NULL, NULL, NULL, NULL }
};

#else
#include "wiseproto.h"

#endif WISEMAIN
